"""Basic file output"""

class BasicFile:
    """File for data output

    The format of the file is: one data-set per line
    Values are separated by tabs
    
    The file is created the first time it is written"""
    
    def __init__(self,name):
        """name - name of the file"""
        self.name=name
        self.isOpen=False
        self.handle=None
        
    def getHandle(self):
        """get the file-handle. File is created and opened if it
        wasn't opened before"""
        if not self.isOpen:
            self.handle=open(self.name,"w")
            self.isOpen=True
        return self.handle

    def writeLine(self,data):
        """write a data set

        data - a tuple with the data-set"""
        fh=self.getHandle()
        first=True
        for d in data:
            if not first:
                fh.write(" \t")
            else:
                first=False
            fh.write(str(d))
        fh.write("\n")
        fh.flush()

    def close(self):
        """close the file"""
        if self.handle!=None:
            self.handle.close()
            self.handle=None
            
