"""Analyze Line for Time"""

import re

from LogLineAnalyzer import LogLineAnalyzer

class TimeLineAnalyzer(LogLineAnalyzer):
    """Parses the line for the current time and makes it available to
    the parent analyzer (who makes it available to all of his
    children). This side-effect is important for all the other
    line-analyzers that need the time"""

    timeRegExp="^Time = (.+)$"
    def __init__(self):
        LogLineAnalyzer.__init__(self)
        self.exp=re.compile(self.timeRegExp)
        
    def doAnalysis(self,line):
        m=self.exp.match(line)
        if m!=None:
            self.parent.time=float(m.group(1))
